package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppCleanItems;

/**
 * 清洁物品Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
public interface AppCleanItemsMapper 
{
    /**
     * 查询清洁物品
     * 
     * @param cleanItemsId 清洁物品主键
     * @return 清洁物品
     */
    public AppCleanItems selectAppCleanItemsByCleanItemsId(Long cleanItemsId);

    /**
     * 查询清洁物品列表
     * 
     * @param appCleanItems 清洁物品
     * @return 清洁物品集合
     */
    public List<AppCleanItems> selectAppCleanItemsList(AppCleanItems appCleanItems);

    /**
     * 新增清洁物品
     * 
     * @param appCleanItems 清洁物品
     * @return 结果
     */
    public int insertAppCleanItems(AppCleanItems appCleanItems);

    /**
     * 修改清洁物品
     * 
     * @param appCleanItems 清洁物品
     * @return 结果
     */
    public int updateAppCleanItems(AppCleanItems appCleanItems);

    /**
     * 删除清洁物品
     * 
     * @param cleanItemsId 清洁物品主键
     * @return 结果
     */
    public int deleteAppCleanItemsByCleanItemsId(Long cleanItemsId);

    /**
     * 批量删除清洁物品
     * 
     * @param cleanItemsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppCleanItemsByCleanItemsIds(Long[] cleanItemsIds);

    /**
     * 查询清洁物品列表
     *
     * @return 清洁物品集合
     */
    public List<AppCleanItems> getAppCleanItemsList();
}
